/*
 * This file was generated by dbusxml2cpp version 0.6
 * Command line was: dbusxml2cpp -v -m -i kglobalshortcutinfo_p.h -p kdedglobalaccel_component_interface org.kde.kdedglobalaccel.Component.xml org.kde.kdedglobalaccel.Component
 *
 * dbusxml2cpp is Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef KDEDGLOBALACCEL_COMPONENT_INTERFACE_H_1224790700
#define KDEDGLOBALACCEL_COMPONENT_INTERFACE_H_1224790700

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>
#include "kglobalshortcutinfo_p.h"

/*
 * Proxy class for interface org.kde.kdedglobalaccel.Component
 */
class OrgKdeKdedglobalaccelComponentInterface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.kde.kdedglobalaccel.Component"; }

public:
    OrgKdeKdedglobalaccelComponentInterface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgKdeKdedglobalaccelComponentInterface();

    Q_PROPERTY(QString friendlyName READ friendlyName)
    inline QString friendlyName() const
    { return qvariant_cast< QString >(internalPropGet("friendlyName")); }

    Q_PROPERTY(QString uniqueName READ uniqueName)
    inline QString uniqueName() const
    { return qvariant_cast< QString >(internalPropGet("uniqueName")); }

public Q_SLOTS: // METHODS
    inline QDBusReply<QList<KGlobalShortcutInfo> > allShortcutInfos()
    {
        QList<QVariant> argumentList;
        return callWithArgumentList(QDBus::Block, QLatin1String("allShortcutInfos"), argumentList);
    }

    inline QDBusReply<QList<KGlobalShortcutInfo> > allShortcutInfos(const QString &context)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(context);
        return callWithArgumentList(QDBus::Block, QLatin1String("allShortcutInfos"), argumentList);
    }

    inline QDBusReply<QStringList> getShortcutContexts()
    {
        QList<QVariant> argumentList;
        return callWithArgumentList(QDBus::Block, QLatin1String("getShortcutContexts"), argumentList);
    }

    inline QDBusReply<QStringList> shortcutNames()
    {
        QList<QVariant> argumentList;
        return callWithArgumentList(QDBus::Block, QLatin1String("shortcutNames"), argumentList);
    }

    inline QDBusReply<QStringList> shortcutNames(const QString &context)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(context);
        return callWithArgumentList(QDBus::Block, QLatin1String("shortcutNames"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace kde {
    namespace kdedglobalaccel {
      typedef ::OrgKdeKdedglobalaccelComponentInterface Component;
    }
  }
}
#endif
